CompilingMacOsX

From Inkscape Wiki
Revision as of 07:35, 26 October 2004 by 195.177.212.225 (talk)
Jump to navigation Jump to search

Compiling Inkscape under Mac OS X

You can run Inkscape by compiling by using Fink. http://fink.sourceforge.net

It's as simple as: #fink -y install inkscape

Fink will get all the dependencies and install them.


To get autogen to run I had to perform the following ( Assuming users have fink installed )

sudo fink install gtk+ ( which installs gtk+ and gtk+2 ) sudo fink install libtool14 ( replacing apple's glibtoolize )

These entries are all to be put in your ~/.cshrc ( or applicable shell startup )

setenv ACLOCAL_FLAGS "-I /sw/share/aclocal"
setenv CFLAGS -I/sw/include


setenv LDFLAGS -L/sw/lib
setenv CXXFLAGS $CFLAGS
setenv CPPFLAGS $CXXFLAGS

--

For a clean 10.3 installation with a brand new Fink, I had to add the following:

  • intltool
  • glib2
  • glib2-dev
  • libpng3
  • libart2
  • libxml2
  • gtk+2
  • gtk+2-dev

In theory you can just list all those on one install command. -- JonCruz

Apart from the above env variables I had to set the following variables to compile cvs (taken right out of fink's .info file). This is in bash syntax, above is tcsh syntax. (I havent experimented with this list to see whats the minimum required.. but if I dont include any of the following than it breaks.)

export ACLOCAL_FLAGS="-I /sw/share/aclocal"
export CFLAGS=-I/sw/include
export LDFLAGS=-L/sw/lib
export CXXFLAGS=$CFLAGS
export CPPFLAGS=$CXXFLAGS
export LIBRARY_PATH=/usr/X11R6/lib:/sw/lib
export CPATH=/sw/include
export PATH="/usr/X11R6/bin:"$PATH
export LIBS="-L/sw/lib -lintl "$LIBS

Update: There is a problem with rendering cursors on mac due to a gcc bug. At this point fink is maintaining an inkscape package and they are going to use a patch to fix it for 0.38.1 so I recommend fink package. If you are interested in patching yourself, visit tracker item 932944 at https://sourceforge.net/tracker/index.php?func=detail&aid=932944&group_id=93438&atid=604306 .

-- Spundun

since gtkmm-2.0 has been added as a requirement, you may need to install it thru darwinports; to use it along whatever you installed with fink prior to that, the flags are:

export ACLOCAL_FLAGS="-I /sw/share/aclocal"
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/local/lib/pkgconfig/
export LDFLAGS="-lintl -L/sw/lib -L/opt/local/lib"
export CFLAGS="-I/sw/include -I/opt/local/include"
export CPPFLAGS=$CFLAGS
export CXXFLAGS=$CFLAGS

-- yafosf

If you need to run "./autogen.sh":

fink install automake1.8 autoconf2.5


Otherwise:

fink install �
       intltool �
       glib2 glib2-dev glib2-shlibs �
       gtk+2 gtk+2-shlibs gtk+2-dev �
       libpng3 libpng3-shlibs �
       libtool14 libtool14-shlibs �
       libpng-shlibs �
       libsigc++12 libsigc++12-shlibs �
       popt popt-shlibs 
export CPPFLAGS=-I/sw/include
export LDFLAGS=-L/sw/lib
# Run ./autogen.sh here if things break below...
./configure --prefix=/sw
echo "#define ENABLE_NLS" >> config.h
make
make install


-- Kees Cook